org.apache.hadoop.hdfs.web.resources

## Enum PutOpParam.Op

- java.lang.Object
- - java.lang.Enum<PutOpParam.Op>
  - - org.apache.hadoop.hdfs.web.resources.PutOpParam.Op

- All Implemented Interfaces:
    Serializable, Comparable<PutOpParam.Op>, HttpOpParam.Op
  Enclosing class:
    PutOpParam

      public static enum PutOpParam.Op
      extends Enum<PutOpParam.Op>
      implements HttpOpParam.Op

  Put operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOWSNAPSHOT`
    `CANCELDELEGATIONTOKEN`
    `CREATE`
    `CREATESNAPSHOT`
    `CREATESYMLINK`
    `DISABLEECPOLICY`
    `DISALLOWSNAPSHOT`
    `ENABLEECPOLICY`
    `MKDIRS`
    `MODIFYACLENTRIES`
    `NULL`
    `REMOVEACL`
    `REMOVEACLENTRIES`
    `REMOVEDEFAULTACL`
    `REMOVEXATTR`
    `RENAME`
    `RENAMESNAPSHOT`
    `RENEWDELEGATIONTOKEN`
    `SETACL`
    `SETECPOLICY`
    `SETOWNER`
    `SETPERMISSION`
    `SETQUOTA`
    `SETQUOTABYSTORAGETYPE`
    `SETREPLICATION`
    `SETSTORAGEPOLICY`
    `SETTIMES`
    `SETXATTR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDoOutput()`
    `int` | `getExpectedHttpResponseCode()`
    `boolean` | `getRedirect()`
    `boolean` | `getRequireAuth()`
    `HttpOpParam.Type` | `getType()`
    `String` | `toQueryString()`
    `static PutOpParam.Op` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PutOpParam.Op[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final PutOpParam.Op CREATE

    - #### MKDIRS

          public static final PutOpParam.Op MKDIRS

    - #### CREATESYMLINK

          public static final PutOpParam.Op CREATESYMLINK

    - #### RENAME

          public static final PutOpParam.Op RENAME

    - #### SETREPLICATION

          public static final PutOpParam.Op SETREPLICATION

    - #### SETOWNER

          public static final PutOpParam.Op SETOWNER

    - #### SETPERMISSION

          public static final PutOpParam.Op SETPERMISSION

    - #### SETTIMES

          public static final PutOpParam.Op SETTIMES

    - #### RENEWDELEGATIONTOKEN

          public static final PutOpParam.Op RENEWDELEGATIONTOKEN

    - #### CANCELDELEGATIONTOKEN

          public static final PutOpParam.Op CANCELDELEGATIONTOKEN

    - #### MODIFYACLENTRIES

          public static final PutOpParam.Op MODIFYACLENTRIES

    - #### REMOVEACLENTRIES

          public static final PutOpParam.Op REMOVEACLENTRIES

    - #### REMOVEDEFAULTACL

          public static final PutOpParam.Op REMOVEDEFAULTACL

    - #### REMOVEACL

          public static final PutOpParam.Op REMOVEACL

    - #### SETACL

          public static final PutOpParam.Op SETACL

    - #### SETXATTR

          public static final PutOpParam.Op SETXATTR

    - #### REMOVEXATTR

          public static final PutOpParam.Op REMOVEXATTR

    - #### ENABLEECPOLICY

          public static final PutOpParam.Op ENABLEECPOLICY

    - #### DISABLEECPOLICY

          public static final PutOpParam.Op DISABLEECPOLICY

    - #### SETECPOLICY

          public static final PutOpParam.Op SETECPOLICY

    - #### ALLOWSNAPSHOT

          public static final PutOpParam.Op ALLOWSNAPSHOT

    - #### DISALLOWSNAPSHOT

          public static final PutOpParam.Op DISALLOWSNAPSHOT

    - #### CREATESNAPSHOT

          public static final PutOpParam.Op CREATESNAPSHOT

    - #### RENAMESNAPSHOT

          public static final PutOpParam.Op RENAMESNAPSHOT

    - #### SETSTORAGEPOLICY

          public static final PutOpParam.Op SETSTORAGEPOLICY

    - #### SETQUOTA

          public static final PutOpParam.Op SETQUOTA

    - #### SETQUOTABYSTORAGETYPE

          public static final PutOpParam.Op SETQUOTABYSTORAGETYPE

    - #### NULL

          public static final PutOpParam.Op NULL

  - ### Method Detail

    - #### values

          public static PutOpParam.Op[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PutOpParam.Op c : PutOpParam.Op.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PutOpParam.Op valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public HttpOpParam.Type getType()

      Specified by:
        `getType` in interface `HttpOpParam.Op`
      Returns:
        the Http operation type.

    - #### getRequireAuth

          public boolean getRequireAuth()

      Specified by:
        `getRequireAuth` in interface `HttpOpParam.Op`
      Returns:
        true if the operation cannot use a token

    - #### getDoOutput

          public boolean getDoOutput()

      Specified by:
        `getDoOutput` in interface `HttpOpParam.Op`
      Returns:
        true if the operation will do output.

    - #### getRedirect

          public boolean getRedirect()

      Specified by:
        `getRedirect` in interface `HttpOpParam.Op`
      Returns:
        true if the operation will be redirected.

    - #### getExpectedHttpResponseCode

          public int getExpectedHttpResponseCode()

      Specified by:
        `getExpectedHttpResponseCode` in interface `HttpOpParam.Op`
      Returns:
        true the expected http response code.

    - #### toQueryString

          public String toQueryString()

      Specified by:
        `toQueryString` in interface `HttpOpParam.Op`
      Returns:
        a URI query string.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.